include ../../components/editar/usuario.pug
include ../../components/editar/dadosBasicosPessoaJuridica.pug

h1.page-header(ng-if="verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_JURIDICA)") {{tituloPagina}}

form(name="form", novalidate)

	.card(ng-if="verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_JURIDICA)")

		h3 Dados gerais

		+dadosBasicosPessoaJuridica('pessoaJuridica', 'editar', 'cadastroPublico')

	.card(ng-if="verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_JURIDICA)")

		h3 Contatos

		contatos(form="form", ng-model="pessoaJuridica.contatos", is-usuario="pessoaJuridica.isUsuario", cadastro-publico="cadastroPublico")

	.card(ng-if="verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_JURIDICA)")

		h3 Endereço principal
			span(uib-tooltip="Endereço do local de atuação da pessoa jurídica. Podendo ser utilizado também como endereço de correspondência para endereços urbanos.", tooltip-placement="top-left")
				i.mdi.mdi-information.mdi-info

		endereco(form="form", name="principal", ng-model="enderecoPrincipal", zonas-localizacao="zonasLocalizacao", change-zona="changeZona", cadastro-publico="cadastroPublico")

		.checkbox(ng-if="enderecoPrincipal.zonaLocalizacao.codigo === constantes.ZONA_URBANA", ng-disabled="cadastroPublico")
			label
				input(id='correspondencia', type='checkbox', name='correspondencia', ng-model='enderecoCorrespondencia.usarOutro', ng-change="ajustarEnderecoCorrespondencia()", ng-disabled="enderecoPrincipal.zonaLocalizacao.codigo === constantes.ZONA_RURAL || cadastroPublico")
				span.checkbox-material
					span.check
				|	Informar outro endereço para correspondência

	.card(ng-if="enderecoCorrespondencia.usarOutro || enderecoPrincipal.zonaLocalizacao.codigo === constantes.ZONA_RURAL && verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_JURIDICA)")

		h3 Endereço de correspondência
			span(uib-tooltip="Endereço utilizado para o envio de correspondências.", tooltip-placement="top-left")
				i.mdi.mdi-information.mdi-info

		endereco(form="form", name="correspondencia", ng-model="enderecoCorrespondencia", exibir-caixa-postal='true', cadastro-publico="cadastroPublico")

	.md-padding.checkbox(ng-if="!cadastroPublico && !rota.public && !isAtualizacao && verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_JURIDICA)")

		label(ng-disabled="editar && isUsuarioEdicao")
			input(id='pessoaJuridica.isUsuario', type='checkbox', name='pessoaJuridica.isUsuario', ng-model='pessoaJuridica.isUsuario', ng-disabled="editar && isUsuarioEdicao")
			span.checkbox-material
				span.check
			|	Ceder acesso de usuário a esta pessoa

	.card(ng-if='pessoaJuridica.isUsuario && !cadastroPublico && !rota.public && !isAtualizacao && verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_JURIDICA)')

		h3 Usuário
			span(uib-tooltip="Obrigatório cadastrar e-mail principal.", tooltip-placement="top-left")
				i.mdi.mdi-information.mdi-info

		+usuario('pessoaJuridica')

	button.btn.btn-raised.btn-default(type='button', ng-click='voltar()', tabindex='-1', ng-if='verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_JURIDICA)') Cancelar

	button.btn.btn-raised.btn-primary.pull-right(type='submit', ng-click='salvar()', ng-if='verificarPermissao(AcaoSistema.CADASTRAR_PESSOA_JURIDICA)')
		i.material-icons save
		|	Salvar
